//+------------------------------------------------------------------+
//|                                                     Lot Calc.mq4 |
//|                      Copyright  2009, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
//+------------------------------------------------------------------+
//| variables                                  |
//+------------------------------------------------------------------+
#property       show_inputs 

  extern double Risk = 1.5;
  extern int SL = 30;
  extern double Balance = 0;

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+

int init                           ()
  {

//---- Calculations
  double FinalAccountBalance;

  if ( Balance == 0)
  {
     FinalAccountBalance =  MathMin( AccountBalance(), AccountEquity() );
  }  
  else
  {
     FinalAccountBalance = Balance;
  }   
  double Lots = 0.0; 
  Lots = (FinalAccountBalance*(Risk/100.0))/(SL*MarketInfo(Symbol(),MODE_TICKVALUE));
   
 //---- Print lot 
  string myRisk = "";
  myRisk = DoubleToStr(Risk, 1);
  string myLots = "";
  myLots = DoubleToStr(Lots, 2);
  
  Alert("Trade "+ myLots+" lots. ("+ Symbol()+": Risk - "+myRisk+"%, SL - "+SL+" pips.)");
   
   
//----
  
  }
//+------------------------------------------------------------------+